### Function

# Malcontent AppFilterBuilder new

since: 0.2.0

#### Declaration [src]

    MctAppFilterBuilder*
    mct_app_filter_builder_new (
      void
    )

#### Description [src]

Construct a new `MctAppFilterBuilder` on the heap.

This is intended for language bindings. The returned builder must eventually be freed with `mct_app_filter_builder_free()`, but can be cleared zero or more times with `mct_app_filter_builder_clear()` first.

Available since: 0.2.0

#### Return value

Type: `MctAppFilterBuilder`

A new heap-allocated `MctAppFilterBuilder`.

The caller of the function takes ownership of the data, and is responsible for freeing it.